<!DOCTYPE html>
<html th:replace="~{fragments/page :: layout(~{::title}, ~{::section})}" xmlns:th="https://www.thymeleaf.org">

<head>

    <title>update</title>
</head>

<body>
    <section>
        <form action="#" th:action="@{/users/update/{id}(id=${userToUpdate.username})}" th:object="${userToUpdate}" method="post">
            <input type="hidden" th:field="*{username}">
            
            <label for="name">Firstname</label>
            <input type="text" th:field="*{firstname}" id="name" placeholder="Firstname">
            <span th:if="${#fields.hasErrors('firstname')}" th:errors="*{firstname}"></span>

            <label for="name">Lastname</label>
            <input type="text" th:field="*{lastname}" id="name" placeholder="Lastname">
            <span th:if="${#fields.hasErrors('lastname')}" th:errors="*{lastname}"></span>

            <label for="name">Telephone</label>
            <input type="text" th:field="*{telephone}" id="name" placeholder="Telephone">
            <span th:if="${#fields.hasErrors('telephone')}" th:errors="*{telephone}"></span>

            <input type="submit" value="Update User">
            </form>
    </section>

</body>

</html>